[erlang-questions] Erlang4Android R16B released

Karolis Petrauskas <>
Sun Mar 3 15:30:33 CET 2013


    I tried to install this package on my samsung galaxy S. I got
"There is a problem parsing the package" during installation of the
Erlang4Android.apk. I installed SL4A before installing Erlang4Android.


On Sun, Mar 3, 2013 at 3:25 PM, Erik Reitsma <> wrote:
> Hi all,
> A new Erlang4Android is available on
> http://code.google.com/p/erlang4android/, based on R16B.
> You need to install the new APK, which can be used to download the actual
> Erlang binaries.
> This app installs a small version of Erlang (i.e. erlang_R16.zip) for use
> with SL4A.
> First install SL4A, then this app, then run this app to install Erlang/OTP
> and use SL4A to run your Erlang code.
> Using the app you can add OTP applications from a repository. It is not yet
> possible to manage the repositories. To add an application (library), go to
> "Select libraries". Select "Refresh" from the menu to get a list of
> available libraries. Then click long on the desired library to select it for
> installation (or uninstallation). Then select "Go" from the menu to actually
> perform the (un)installation.
> From the main screen you can select the menu option "Settings" to specify
> extra command line arguments that will be used when Erlang is started. For
> example, to start distribution, specify "-name 
> -setcookie mysecretcookie" (without the quotes and with relevant values).
> Enjoy!
> *Erik.
> _______________________________________________
> erlang-questions mailing list
> http://erlang.org/mailman/listinfo/erlang-questions

More information about the erlang-questions mailing list